package gin

import (
	"framework_v2/internal/app/facades"
	"framework_v2/internal/http/controllers/user"
	"framework_v2/internal/middleware/http"
	ginzap "github.com/gin-contrib/zap"
	"github.com/gin-gonic/gin"
	"time"
)

func InitGin() {
	gin.SetMode(gin.ReleaseMode)

	facades.Router = gin.New()

	facades.Router.Use(ginzap.Ginzap(facades.Logger, time.RFC3339, true))

	InitApiRoutes()
}

func InitApiRoutes() {
	GET("/", http.MiddlewareJSONResponse, user.CurrentUser)
}
